package com.retdata.yaoyibi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.retdata.yaoyibi.domain.*;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface WmScorePackageService extends IService<WmScorePackage> {

    Page<WmScorePackageSearchDto> search(WmScorePackageSearchParams searchParams, Pageable pageable);

    List<CsoSysDeptSummary> listRootScorePackageSenders(String keyword);

    XSSFWorkbook export(WmScorePackageSearchParams searchParams);

    ScoreStat getScoreStatByParams(WmScorePackageSearchParams searchParams);

    List<ScoreTimeStat> getScoreTimeStatByParams(WmScorePackageSearchParams searchParams, String statUnit);

    ScoreStat getApprovedScoreStatByParams(WmScorePackageSearchParams searchParams);

    GetApprovedScoreTimeStatByParamsResult getApprovedScoreTimeStatByParams(WmScorePackageSearchParams searchParams, String statUnit);

    SettledStat getSettledStatByParams(WmScorePackageSearchParams searchParams);

    SettledTimeStatResult getSettledTimeStatByParams(WmScorePackageSearchParams searchParams, String statUnit);

    List<String> listReceiverNames(String keyword, int limit);

}
